Skip to Content

SAP NetWeaver AS ABAP Developer Edition 7.52 SP01

Hi,

I downloaded the rar files mentioned from this location:

https://www.sap.com/developer/trials-downloads/additional-downloads/sap-netweaver-as-abap-developer-edition-sp01-7-52-15510.html#

. I downloaded the opensuse 42.1, 42.3, and opensuse-leap 15 x86_64 bit. I repeated the installation around 20 times and the installation fails again and again at the same position with this message:

=>sapparam(1c): No Profile used.
=>sapparam: SAPSYSTEMNAME neither in Profile nor in Commandline
################################################
Abort execution because of
Step returns modlib.jslib.caughtException
################################################

I followed the steps mentioned in several blogs such as the one below:

https://developers.sap.com/tutorials/cp-s4-ext-install-nw.html

https://answers.sap.com/questions/408900/installation-of-nlp-failed-because-of-modlibjslibc.html

Just to mention a few.

I have found the error message in several locations on the web but none of them offered any

solution or workaround.

This is my VirtualBox version:

Version 5.2.22 r126460 (Qt5.6.2).

Please, note that the Sybase license is valid until 2019.

I appreciate any hints and assistance.

Jean

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

9 Answers

  • Dec 28, 2018 at 08:42 PM

    Hi Jean,

    I got the same error (modlib.jslib.caughtException) twice today as I was installing AS ABAP 7.52 SP01.

    Despite having downloaded all .rar files yesterday, I found that the file SYBASE_ASE_TestDrive.lic was expired (31 march 2018).

    So to solve this installation problem, I had to:

    1. download a new license from the link given here;
    2. clear my previous installation by deleting directories /sybase and /sapmnt (otherwise these folders are not overwritten by the installer);
    3. replace the SYBASE_ASE_TestDrive.lic in the installer by the new one as explained here;
    4. restart Linux to be sure that SAP installer services were all down.

    Then I started the installation again and it worked.

    Good luck.

    Philippe

    Add comment
    10|10000 characters needed characters exceeded

  • Dec 29, 2018 at 07:59 PM

    Hi Philippe,

    I did as you suggested but the installation is still failing. The log says check

    if the filesystem is full. But 50 GB are still free after the installation. How

    could it be full?

    I do not understand this installation.

    I rebooted Linux and restarted the installation again. When it finishes I shall

    tell you about the result.

    Thank you for your help.

    Jean

    Add comment
    10|10000 characters needed characters exceeded

  • Dec 29, 2018 at 08:29 PM

    Hi Philippe,

    Rebooting Linux does not help at all. The installation is failing again and again at the

    same point. The installer tells me that there is not enough space.

    * df -h
    Filesystem Size Used Avail Use% Mounted on
    devtmpfs 2.0G 0 2.0G 0% /dev
    tmpfs 2.0G 0 2.0G 0% /dev/shm
    tmpfs 2.0G 18M 2.0G 1% /run
    tmpfs 2.0G 0 2.0G 0% /sys/fs/cgroup
    /dev/sda2 90G 35G 50G 42% /
    software 259G 130G 129G 51% /media/sf_software
    tmpfs 394M 16K 394M 1% /run/user/1000
    software 259G 130G 129G 51% /tmp/install

    What is going wrong? Can you tell me?

    I thought that the file dbexe.tgz-aa is corrupted but I can untar it to the folder

    /usr/src/ without any problems.

    I have enough memory. There are 12 GB memory + swap space.

    vhcalnplci:/ # swapon -s
    Filename Type Size Used Priority
    /dev/sda3 partition 8388604 0 -1
    vhcalnplci:/ # free -t --giga
    total used free shared buff/cache available
    Mem: 4 0 0 0 3 3
    Swap: 8 0 8
    Total: 12 0 8
    vhcalnplci:/ #

    This is the hardest installation I have ever had so far.

    Thank you for your help.

    Jean

    Add comment
    10|10000 characters needed characters exceeded

  • Dec 29, 2018 at 10:05 PM

    Hi Philippe,

    A third attempt failed again with the old error message:

    Abort execution because of
    Step returns modlib.jslib.caughtException

    It is doubtful that this installation succeeds.

    Thank you

    Jean

    Add comment
    10|10000 characters needed characters exceeded

  • Dec 29, 2018 at 10:39 PM

    Hi Philippe,

    Which Linux distribution are you using and which release?

    Thank you

    Jean

    Add comment
    10|10000 characters needed characters exceeded

  • Jan 02 at 10:27 PM

    Hi Philippe,

    Did you install SAP in a native Linux environment or did you use VirtualBox like I did?

    Thank you

    Jean

    Add comment
    10|10000 characters needed characters exceeded

  • Jan 07 at 06:59 PM

    Hi everybody,

    I have read a dozen blogs or more. I have 32 installation logs (beside the ones that I had already deleted).

    This installation will never succeed without an honest answer from an insider. I tried all suggestions

    without mentioning their names. I laugh whenever I hear replace the license and it will work. No, it

    will not work. I inserted the new license inside the archive dbexe.tgz-aa and I checked its access rights (drwxr_xr_x)

    The owners are sybnpl and sapsys respectively. It is valid until March 31, 2020. Do not tell the people

    to replace the license. It will not work. How many people must suffer from this installation package?

    This is not an SAP installation. This is a mission impossible episode and an extremely thrilling one from the 70's. ;-)

    My eternal error message:

    ERROR 2019-01-07 17:32:14.692 (root/sapinst) id=modlib.jslib.caughtException errno=MUT-03025
    Caught ESAPinstException in module call: Assertion failed: Unable to verify database access for login SAPSR3. Refer to trace file sapinst_dev.log for further information..

    uuidd is installed with success. Service is running. The fully qualified domain name FQDN is:

    vhcalnplci.dummy.nodomain

    I can ping the host from the Windows 8.1 command line window. The installation is taking place with

    the newest VirtualBox version: Version 5.2.22 r126460 (Qt5.6.2)

    More details will be furnished upon request. I will never give up even if I have to repeat this installation 3000 times.

    Thank you for your kind attention.

    Jean

    Add comment
    10|10000 characters needed characters exceeded

  • Jan 08 at 08:41 PM

    Hi everybody,

    I have today some good news for you. I downloaded the package of 7.51 SP2 from this link:

    https://www.sap.com/developer/trials-downloads/additional-downloads/sap-netweaver-as-abap-developer-edition-sp02-7-51-14493.html

    and the installation was successful. I wonder though why the package of 7.52 SP1 kept on failing. You must disable

    the firewall of opensuse 42.3 (with Yast/system/firewall) to get a connection with your sapgui to the guest (virtual system)

    if you are using VirtualBox. Some documentations mention that you should activate the firewall. If you leave the firewall active, you must set some rules and exceptions to allow the data traffic between your host and guest system.

    My configuration for /etc/hosts mentions this format:

    10.0.2.15 vhcalnplci vhcalnplci.dummy.nodomain

    Well I tried the opposite: 10.0.2.15 vhcalnplci.dummy.nodomain vhcalnplci

    The install.sh complained about it but it worked. But I had to start the installation script as follows: install.sh -s

    The -s parameter suppresses the hostname check.

    Note: I used the same procedure and the same license file as I did with the 7.52 SP1 to replace the ASE database license. With 7.51 SP2 the installation was successful but 7.52 SP1 kept failing.

    Thank you for your attention.

    Jean

    Add comment
    10|10000 characters needed characters exceeded

  • Jan 12 at 02:51 AM

    Hi Everybody,

    Again good news. The SAP NW 7.52 SP01 installation was successful. The only difference was the entry in /etc/hosts. Many documentations have the wrong format. I just used the format above as in SAP NW 7.51 SP02 and the installation was successful. Even opensuse 15 Leap works perfect with SAP NW 7.52 SP01.

    Thank you for your attention.

    Jean

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Jean.

      Nice to talk to you.

      I suffered the same issue last weekend, my host configuration is the same format as you said

      <10.0.2.15 vhcalnplci vhcalnplci.dummy.nodomain>,but it failed several times.

      my license is expired to 2020.March.31.

      I really need your help.

      Very appreciate that you can reply.

      BRs

      Zac